Subject: RE: ZC and IPv6 (was Re: FW: Comments on draft-ietf-zeroconf-reqt s-02)

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Tue, 29 Feb 2000 12:21:25 +1100

Hi Erik,

> There is very little discussion in the requirements which is IPv6
> specific at this point.  This is largely because we haven't worked
> hard on IPv6 issues.
> 
> I don't think we've been bogged down yet.  There are surely issues to
> consider there (multicast scoping, router discovery, neighbor discovery,
> etc. are all different and may have implications).  
> 
	=>Yes, and sometimes the issues we consider will result in less work
for us too.

> Are you suggesting that we partition the requirements (and subsequent
> 'profile') work into two tracks?  This would mean minor document 
> reorganizationand also a call for more document editing work. If we 
> completed "IPv4 requirements" and "IPv4 profile" docs, not being done 
> with the IPv6 work would prevent us from publishing.
> 
	=> I'm not sure about that, the WG has identified certain problems
that need to be solved, regardless of what technology is being used. As long
as it is IP of course. If the reqts are only for V4 then we should make that
clear and say it. I believe it should be for both. Or at least in one
document because there will be some things in common.

> The question is who wants to work on the IPv6 side at this time?  If
> you are one of them, please give the current document a full review and 
> send comments on what needs to be done from an IPv6 perspective.
> 
	=> I'm more than happy to do that alone or with anyone else that is
working with V6. I'm not sure if I can do that before Adelaide but will see.

> Erik